## org.apache.lucene.search.vectorhighlight
Class FieldPhraseList.WeightedPhraseInfo.Toffs

    java.lang.Object
      org.apache.lucene.search.vectorhighlight.FieldPhraseList.WeightedPhraseInfo.Toffs

Enclosing class:
  FieldPhraseList.WeightedPhraseInfo

    public static class FieldPhraseList.WeightedPhraseInfo.Toffs

extends Object

Constructor Summary
`FieldPhraseList.WeightedPhraseInfo.Toffs(int startOffset, int endOffset)`

Method Summary
`int` `getEndOffset()`
`int` `getStartOffset()`
`void` `setEndOffset(int endOffset)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldPhraseList.WeightedPhraseInfo.Toffs

    public FieldPhraseList.WeightedPhraseInfo.Toffs(int startOffset,
                                                    int endOffset)

Method Detail

### setEndOffset

    public void setEndOffset(int endOffset)

### getStartOffset

    public int getStartOffset()

### getEndOffset

    public int getEndOffset()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`